import * as constants from './constants';
import React from 'react';
//锁定state不可修改，导致错误y
import { fromJS } from 'immutable';
import { Tag } from 'antd';

const defaultState = fromJS({
	loading: false,
	locksearchValue: '',
	lead:'lead',
	sale:'sale',
	give:'give',
	// columns:[
	// 	{
	// 		title: '联系人',
	// 		dataIndex: 'clientname',
	// 		key: 'clientname',
	// 	},
	// 	{
	// 		title: '职位',
	// 		dataIndex: 'position',
	// 		key: 'position',
	// 	},
	// 	{
	// 		title: '手机号',
	// 		dataIndex: 'telephone',
	// 		key: 'telephone',
	// 	},
	// 	{
	// 		title: '固话',
	// 		dataIndex: 'phone',
	// 		key: 'phone',
	// 	},
	// 	{
	// 		title: '公司名称',
	// 		dataIndex: 'companyname',
	// 		key: 'companyname',
	// 	},
	// ],
	data: [
		// {
		// 	key: '1',
		// 	clientname: '张挺贵',
		// 	position: '科员',
		// 	telephone: '13877552520',
		// 	phone: '0775-4259178',
		// 	companyname: '广西五鸿建设集团有限公司贺州分公司',
		// },
		// {
		// 	key: '2',
		// 	clientname: '张挺贵',
		// 	position: '科员',
		// 	telephone: '13877552520',
		// 	phone: '0775-4259178',
		// 	companyname: '广西五鸿建设集团有限公司贺州分公司',
		// },
		// {
		// 	key: '3',
		// 	clientname: '张挺贵',
		// 	position: '科员',
		// 	telephone: '13877552520',
		// 	phone: '0775-4259178',
		// 	companyname: '广西五鸿建设集团有限公司贺州分公司',
		// },
		// {
		// 	key: '4',
		// 	clientname: '李平',
		// 	position: '科员',
		// 	telephone: '13877552520',
		// 	phone: '0775-4259178',
		// 	companyname: '建安公司',
		// },
	],
});


export default (state = defaultState, action) => {
	//let columns = state.get('columns').toJS();
    switch (action.type) {
		case constants.CHANGE_LOCKTYPE_LOADING:
			return state.set('loading', action.data);
		case constants.CHANGE_LEAD:
			//console.log(action.data);
			localStorage.setItem('locktype/change_lead', action.data);
			return state.set('lead', action.data);
		case constants.CHANGE_LOCKTYPE_SEARCHLIST:
			return state.merge({
				loading: false,
				data: fromJS(action.data),
				locksearchValue:action.locksearchValue,
			});
		default:
			return state;
	}
}