import * as constants from './constants';
import React from 'react';
//锁定state不可修改，导致错误y
import { fromJS } from 'immutable';

const defaultState = fromJS({
	locksotreDetail: {},
	loading: true,
	pagination:false,
	columns:[
		{
			title: '',
			dataIndex: 'number',
			key: 'number',
		},
		{
			title: '类型/时间',
			dataIndex: 'status',
			key: 'status',
		},
		{
			title: '服务内容',
			dataIndex: 'product',
			key: 'product',
		},
	],
	data: [
	],
});


export default (state = defaultState, action) => {
    switch (action.type) {
		case constants.CHANGE_LOCK_DETAIL:
			return state.merge({
				loading: false,
				locksotreDetail: fromJS(action.data)
			});
		default:
			return state;
	}
}
