import React, { PureComponent } from 'react';
import { connect } from 'react-redux';
// import { BrowserRouter, Route,Link } from 'react-router-dom';

import { actionCreators } from './store';

class staffHeader extends PureComponent {

    
    render() {
      const { sectionName,staff } = this.props;
      let staffDetail=staff.toJS();
        return (
            
        <header className="page-header" role="banner">
         
          <div className="hidden-md-down dropdown-icon-menu position-relative">
            <a href="#" className="header-btn btn js-waves-off" data-action="toggle" data-class="nav-function-hidden" title="隐藏侧栏">
     						<i className="ni ni-menu"></i>  
     					</a>
            <ul>
              <li>
                <a href="#" className="btn js-waves-off" data-action="toggle" data-class="nav-function-minify" title="迷你侧栏">
     								<i className="ni ni-minify-nav"></i>
     							</a>
              </li>
            </ul>
          </div>
          <div className="hidden-lg-up">
            <a href="#" className="header-btn btn press-scale-down waves-effect waves-themed" data-action="toggle" data-class="mobile-nav-on">
     						<i className="ni ni-menu"></i>
     					</a>
          </div>
          
          <h1 className="subheader-title">
     					{sectionName}
     				</h1>
         
          <div className="ml-auto d-flex">
           
            <div>
              <a href="#" data-toggle="dropdown"  className="header-icon d-flex align-items-center justify-content-center ml-2">
                <img src={staffDetail.avatar} className="profile-image rounded-circle" /></a>
              <div className="dropdown-menu dropdown-menu-animated dropdown-lg">
                <div className="dropdown-header bg-trans-gradient d-flex flex-row py-4 rounded-top">
                  <div className="d-flex flex-row align-items-center mt-1 mb-1 color-white">
                    <span className="mr-2">
                            				<img src={staffDetail.avatar} className="rounded-circle profile-image" alt={staffDetail.username} />
                            			</span>
                    <div className="info-card-text">
                      <div className="fs-lg text-truncate text-truncate-lg">{staffDetail.username}</div>
                      <span className="text-truncate text-truncate-md opacity-80">工号：{staffDetail.jobNumber}</span>
                    </div>
                  </div>
                </div>
                <div className="dropdown-divider m-0"></div>
                <a href="#" className="dropdown-item" data-action="app-fullscreen">
                            		<span>员工信息</span>
                            	</a>
                <div className="dropdown-divider m-0"></div>
                <a href="#" className="dropdown-item" data-action="app-fullscreen">
                            		<span>全屏</span>
                            		<i className="float-right text-muted fw-n">F11</i>
                            	</a>
                <div className="dropdown-divider m-0"></div>
                <a className="dropdown-item fw-500 pt-3 pb-3" href="page_login_alt.html">
                            		<span>退出登录</span>
                            	</a>
              </div>
            </div>
          </div>
        </header>
        
        );
    }

    componentDidMount() {
      // const { handleMenuActive } = this.props;
      // let protocol = window.location.pathname;
      // let sectionName='client';
      // if(protocol==='/contact/company'){
      //   sectionName='company';
      // }
      // handleMenuActive(sectionName); 
    }

}

const mapStateToProps = (state) => {
  return {
    sectionName: state.getIn(['common', 'sectionName']),
    staff: state.getIn(['common', 'staff']),
  }
}


const mapDispathToProps = (dispatch) => {
  return {
    // handleSectionName(value) {
    //   dispatch(actionCreators.menuActive(value));
    // },
  }
}


// export default staffHeader;
export default connect(mapStateToProps, mapDispathToProps)(staffHeader);
