import * as constants from './constants';
import { fromJS } from 'immutable';

const defaultState = fromJS({
	csrfToken: '',
	staff: {},
	sectionName: '',
});

export default (state = defaultState, action) => {

	switch (action.type) {
		case constants.CHANGE_CSRF_TOKEN:
			return state.set('csrfToken', action.data);
		case constants.CHANGE_SECTION_NAME:
			return state.set('sectionName', action.data);
		case constants.CHANGE_STAFF:
			return state.set('staff', action.data);
		default:
			return state;
	}


}