import { combineReducers } from 'redux-immutable';
import { reducer as commonReducer } from '../common/store';
import { reducer as lockStoreReducer } from '../lock_store/store';
import { reducer as lockCountReducer } from '../lock_count/store';
import { reducer as popupstockReducer } from '../../common/popupstockDetail/store';
import { reducer as locktypeReducer } from '../../common/lockType/store';



const reducer = combineReducers({
    common: commonReducer,
    lockstore: lockStoreReducer,
    lockcount: lockCountReducer,
    popupstock:popupstockReducer,
    locktype:locktypeReducer,
});

export default reducer;