/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/ 		var executeModules = data[2];
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 		// add entry modules from loaded chunk to deferred list
/******/ 		deferredModules.push.apply(deferredModules, executeModules || []);
/******/
/******/ 		// run deferred modules when all chunks ready
/******/ 		return checkDeferredModules();
/******/ 	};
/******/ 	function checkDeferredModules() {
/******/ 		var result;
/******/ 		for(var i = 0; i < deferredModules.length; i++) {
/******/ 			var deferredModule = deferredModules[i];
/******/ 			var fulfilled = true;
/******/ 			for(var j = 1; j < deferredModule.length; j++) {
/******/ 				var depId = deferredModule[j];
/******/ 				if(installedChunks[depId] !== 0) fulfilled = false;
/******/ 			}
/******/ 			if(fulfilled) {
/******/ 				deferredModules.splice(i--, 1);
/******/ 				result = __webpack_require__(__webpack_require__.s = deferredModule[0]);
/******/ 			}
/******/ 		}
/******/
/******/ 		return result;
/******/ 	}
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"workbench": 0
/******/ 	};
/******/
/******/ 	var deferredModules = [];
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "http://cld2.com:9090/";
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// add entry module to deferred list
/******/ 	deferredModules.push(["./src/workbench/index.js","framework","vendor"]);
/******/ 	// run deferred modules when ready
/******/ 	return checkDeferredModules();
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/common/axios_auth.js":
/*!**********************************!*\
  !*** ./src/common/axios_auth.js ***!
  \**********************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ \"./node_modules/axios/index.js\");\n/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var react_cookies__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-cookies */ \"./node_modules/react-cookies/build/cookie.js\");\n/* harmony import */ var react_cookies__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_cookies__WEBPACK_IMPORTED_MODULE_1__);\n\n //取消请求\n\nlet CancelToken = axios__WEBPACK_IMPORTED_MODULE_0___default.a.CancelToken;\naxios__WEBPACK_IMPORTED_MODULE_0___default.a.create({\n  timeout: 15000,\n  // 请求超时时间\n  headers: {\n    'Content-Type': 'application/x-www-form-urlencoded'\n  }\n}); //开始请求设置，发起拦截处理\n\naxios__WEBPACK_IMPORTED_MODULE_0___default.a.interceptors.request.use(config => {\n  //得到参数中的requestname字段，用于决定下次发起请求，取消相应的  相同字段的请求\n  //post和get请求方式的不同，使用三木运算处理\n  // console.log(config.method);\n  if (config.method === 'post') {\n    // console.log('ddd');\n    let csrftoken = react_cookies__WEBPACK_IMPORTED_MODULE_1___default.a.load('csrfToken'); // console.log(csrftoken);\n    // config.headers['Content-Type']='application/x-www-form-urlencoded';\n\n    config.headers['x-csrf-token'] = csrftoken;\n  } //console.log(config);\n  //let requestName = config.method === 'post'?config.data.requestName :config.params.requestName\n  //console.log(requestName);\n  //let requestName = config.method === 'post'?config.data.requestName :config.params.requestName\n  //判断，如果这里拿到上一次的requestName，就取消上一次的请求\n  // if(requestName) {\n  //     if(axios[requestName]&&axios[requestName].cancel){\n  //         axios[requestName].cancel()\n  //     }\n  //     config.cancelToken = new CancelToken(c => {\n  //         axios[requestName] = {}\n  //         axios[requestName].cancel = c\n  //     })\n  // }\n  // console.log(config);\n\n\n  return config;\n}, error => {\n  return Promise.reject(error + 'auth');\n}); // respone拦截器\n\naxios__WEBPACK_IMPORTED_MODULE_0___default.a.interceptors.response.use(response => {\n  const res = response.data;\n\n  if (res.code === 201 || res.code === 202) {\n    window.location.href = '/login.html';\n  } else {\n    return response;\n  } // //这里根据后台返回来设置\n  // if (res.msg === \"success\") {\n  //     return response.data;\n  // } else {\n  //     return Promise.reject(error);\n  // }\n  //window.location.href = '/login';\n\n}, error => {\n  return Promise.reject(error);\n});\n/* harmony default export */ __webpack_exports__[\"default\"] = (axios__WEBPACK_IMPORTED_MODULE_0___default.a);\n\n//# sourceURL=webpack:///./src/common/axios_auth.js?");

/***/ }),

/***/ "./src/workbench/index.js":
/*!********************************!*\
  !*** ./src/workbench/index.js ***!
  \********************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ \"./node_modules/react/index.js\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ \"./node_modules/react-dom/index.js\");\n/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _workbench__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./workbench */ \"./src/workbench/workbench.js\");\n\n\n\nreact_dom__WEBPACK_IMPORTED_MODULE_1___default.a.render( /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(_workbench__WEBPACK_IMPORTED_MODULE_2__[\"default\"], null), document.getElementById('root'));\n\n//# sourceURL=webpack:///./src/workbench/index.js?");

/***/ }),

/***/ "./src/workbench/lockStore/store/actionCreators.js":
/*!*********************************************************!*\
  !*** ./src/workbench/lockStore/store/actionCreators.js ***!
  \*********************************************************/
/*! exports provided: searchFocus, getList, changeInputValue */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"searchFocus\", function() { return searchFocus; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getList\", function() { return getList; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"changeInputValue\", function() { return changeInputValue; });\n/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants */ \"./src/workbench/lockStore/store/constants.js\");\n/* harmony import */ var immutable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n/* harmony import */ var _common_axios_auth_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../common/axios_auth.js */ \"./src/common/axios_auth.js\");\n\n\n // import axios from 'axios';\n//actionType\n\nconst searchFocus = () => ({\n  type: _constants__WEBPACK_IMPORTED_MODULE_0__[\"SEARCH_FOCUS\"]\n});\nconst getList = () => {\n  return dispatch => {\n    _common_axios_auth_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"].get('/api/submenuList.json').then(res => {\n      const data = res.data;\n      dispatch(changeList(data.data));\n    }).catch(() => {\n      console.log('error');\n    });\n  };\n};\nconst changeInputValue = value => ({\n  type: _constants__WEBPACK_IMPORTED_MODULE_0__[\"CHANGE_INPUTVALUE\"],\n  data: Object(immutable__WEBPACK_IMPORTED_MODULE_1__[\"fromJS\"])(value)\n});\n\nconst changeList = data => ({\n  type: _constants__WEBPACK_IMPORTED_MODULE_0__[\"CHANGE_LIST\"],\n  data: Object(immutable__WEBPACK_IMPORTED_MODULE_1__[\"fromJS\"])(data) // totalPage: Math.ceil(data.length / 10)\n\n}); // export const searchBlur = () => ({\n// \ttype: constants.SEARCH_BLUR\n// });\n// export const mouseEnter = () => ({\n// \ttype: constants.MOUSE_ENTER\n// });\n// export const mouseLeave = () => ({\n// \ttype: constants.MOUSE_LEAVE\n// });\n// export const changePage = (page) => ({\n// \ttype: constants.CHANGE_PAGE,\n// \tpage\n// });\n\n//# sourceURL=webpack:///./src/workbench/lockStore/store/actionCreators.js?");

/***/ }),

/***/ "./src/workbench/lockStore/store/constants.js":
/*!****************************************************!*\
  !*** ./src/workbench/lockStore/store/constants.js ***!
  \****************************************************/
/*! exports provided: SEARCH_FOCUS, CHANGE_LIST, CHANGE_INPUTVALUE */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"SEARCH_FOCUS\", function() { return SEARCH_FOCUS; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"CHANGE_LIST\", function() { return CHANGE_LIST; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"CHANGE_INPUTVALUE\", function() { return CHANGE_INPUTVALUE; });\nconst SEARCH_FOCUS = 'submenu/SEARCH_FOCUS';\nconst CHANGE_LIST = 'submenu/CHANGE_LIST';\nconst CHANGE_INPUTVALUE = 'submenu/CHANGE_INPUTVALUE';\n\n//# sourceURL=webpack:///./src/workbench/lockStore/store/constants.js?");

/***/ }),

/***/ "./src/workbench/lockStore/store/index.js":
/*!************************************************!*\
  !*** ./src/workbench/lockStore/store/index.js ***!
  \************************************************/
/*! exports provided: reducer, actionCreators, constants */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./reducer */ \"./src/workbench/lockStore/store/reducer.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"reducer\", function() { return _reducer__WEBPACK_IMPORTED_MODULE_0__[\"default\"]; });\n\n/* harmony import */ var _actionCreators__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./actionCreators */ \"./src/workbench/lockStore/store/actionCreators.js\");\n/* harmony reexport (module object) */ __webpack_require__.d(__webpack_exports__, \"actionCreators\", function() { return _actionCreators__WEBPACK_IMPORTED_MODULE_1__; });\n/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./constants */ \"./src/workbench/lockStore/store/constants.js\");\n/* harmony reexport (module object) */ __webpack_require__.d(__webpack_exports__, \"constants\", function() { return _constants__WEBPACK_IMPORTED_MODULE_2__; });\n\n\n\n\n\n//# sourceURL=webpack:///./src/workbench/lockStore/store/index.js?");

/***/ }),

/***/ "./src/workbench/lockStore/store/reducer.js":
/*!**************************************************!*\
  !*** ./src/workbench/lockStore/store/reducer.js ***!
  \**************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./constants */ \"./src/workbench/lockStore/store/constants.js\");\n/* harmony import */ var immutable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! immutable */ \"./node_modules/immutable/dist/immutable.es.js\");\n //锁定state不可修改，导致错误y\n\n\nconst defaultState = Object(immutable__WEBPACK_IMPORTED_MODULE_1__[\"fromJS\"])({\n  menu: 'hello submenu-t!!!',\n  list: [],\n  inputValue: ''\n});\n/* harmony default export */ __webpack_exports__[\"default\"] = (function () {\n  let state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultState;\n  let action = arguments.length > 1 ? arguments[1] : undefined;\n\n  // switch(action.type) {\n  // \tcase constants.SEARCH_FOCUS:\n  // \t\treturn state.set('focused', true);\n  // \tcase constants.SEARCH_BLUR:\n  // \t\treturn state.set('focused', false);\n  // \tcase constants.CHANGE_LIST:\n  // \t\treturn state.merge({\n  // \t\t\tlist: action.data,\n  // \t\t\ttotalPage: action.totalPage\n  // \t\t});\n  // \tcase constants.MOUSE_ENTER:\n  // \t\treturn state.set('mouseIn', true);\n  // \tcase constants.MOUSE_LEAVE:\n  // \t\treturn state.set('mouseIn', false);\n  // \tcase constants.CHANGE_PAGE:\n  // \t\treturn state.set('page', action.page);\n  // \tdefault:\n  // \t\treturn state;\n  // }\n  if (action.type === _constants__WEBPACK_IMPORTED_MODULE_0__[\"CHANGE_INPUTVALUE\"]) {\n    return state.set('inputValue', action.data);\n  }\n\n  if (action.type === _constants__WEBPACK_IMPORTED_MODULE_0__[\"SEARCH_FOCUS\"]) {\n    return state.set('menu', 'clicke me'); // return {\n    //     menu:'clicke me'\n    // }\n  }\n\n  if (action.type === _constants__WEBPACK_IMPORTED_MODULE_0__[\"CHANGE_LIST\"]) {\n    return state.set('list', action.data); //return state.set('menu','clicke me');\n    // return state.merge({\n    //     list: action.data,\n    //     //totalPage: action.totalPage\n    // });\n  }\n\n  return state;\n});\n\n//# sourceURL=webpack:///./src/workbench/lockStore/store/reducer.js?");

/***/ }),

/***/ "./src/workbench/store/index.js":
/*!**************************************!*\
  !*** ./src/workbench/store/index.js ***!
  \**************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! redux */ \"./node_modules/redux/es/redux.js\");\n/* harmony import */ var redux_thunk__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! redux-thunk */ \"./node_modules/redux-thunk/es/index.js\");\n/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./reducer */ \"./src/workbench/store/reducer.js\");\n\n\n\nconst composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || redux__WEBPACK_IMPORTED_MODULE_0__[\"compose\"];\nconst store = Object(redux__WEBPACK_IMPORTED_MODULE_0__[\"createStore\"])(_reducer__WEBPACK_IMPORTED_MODULE_2__[\"default\"], composeEnhancers(Object(redux__WEBPACK_IMPORTED_MODULE_0__[\"applyMiddleware\"])(redux_thunk__WEBPACK_IMPORTED_MODULE_1__[\"default\"])));\n/* harmony default export */ __webpack_exports__[\"default\"] = (store);\n\n//# sourceURL=webpack:///./src/workbench/store/index.js?");

/***/ }),

/***/ "./src/workbench/store/reducer.js":
/*!****************************************!*\
  !*** ./src/workbench/store/reducer.js ***!
  \****************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var redux_immutable__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! redux-immutable */ \"./node_modules/redux-immutable/dist/index.js\");\n/* harmony import */ var redux_immutable__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(redux_immutable__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _lockStore_store__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../lockStore/store */ \"./src/workbench/lockStore/store/index.js\");\n\n\nconst reducer = Object(redux_immutable__WEBPACK_IMPORTED_MODULE_0__[\"combineReducers\"])({\n  submenu: _lockStore_store__WEBPACK_IMPORTED_MODULE_1__[\"reducer\"]\n});\n/* harmony default export */ __webpack_exports__[\"default\"] = (reducer);\n\n//# sourceURL=webpack:///./src/workbench/store/reducer.js?");

/***/ }),

/***/ "./src/workbench/workbench.js":
/*!************************************!*\
  !*** ./src/workbench/workbench.js ***!
  \************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ \"./node_modules/react/index.js\");\n/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-redux */ \"./node_modules/react-redux/es/index.js\");\n/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-router-dom */ \"./node_modules/react-router-dom/esm/react-router-dom.js\");\n/* harmony import */ var _store__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./store */ \"./src/workbench/store/index.js\");\n\n\n\n // import '../app.css';\n\nclass WorkBench extends react__WEBPACK_IMPORTED_MODULE_0__[\"Component\"] {\n  render() {\n    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_redux__WEBPACK_IMPORTED_MODULE_1__[\"Provider\"], {\n      store: _store__WEBPACK_IMPORTED_MODULE_3__[\"default\"]\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_router_dom__WEBPACK_IMPORTED_MODULE_2__[\"BrowserRouter\"], null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"aside\", {\n      className: \"page-sidebar\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"div\", {\n      className: \"page-logo\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"a\", {\n      href: \"#modal-shortcut\",\n      className: \"page-logo-link press-scale-down d-flex align-items-center position-relative\",\n      \"data-toggle\": \"modal\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"div\", {\n      className: \"icon-stack fa-2x\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"i\", {\n      className: \"base base-7 icon-stack-3x opacity-100 color-danger-900 \"\n    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"i\", {\n      className: \"base base-4 icon-stack-2x opacity-100 color-danger-600 \"\n    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"i\", {\n      className: \"fal fa-box icon-stack-1x opacity-100 color-white\"\n    })), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"span\", {\n      className: \"page-logo-text mr-1\"\n    }, \"\\u5DE5\\u4F5C\\u53F0\"), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"span\", {\n      className: \"position-absolute text-white opacity-50 small pos-top pos-right mr-2 mt-n2\"\n    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"i\", {\n      className: \"ni ni-my-apps d-inline-block ml-1 fs-lg color-primary-300\"\n    }))), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"nav\", {\n      id: \"js-primary-nav\",\n      className: \"primary-nav\",\n      role: \"navigation\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"ul\", {\n      id: \"js-nav-menu\",\n      className: \"nav-menu\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"li\", {\n      className: \"active open\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"a\", {\n      href: \"#\",\n      title: \"\\u8F6F\\u4EF6\\u9501\",\n      \"data-filter-tags\": \"\\u8F6F\\u4EF6\\u9501\",\n      className: \"waves-effect waves-themed\"\n    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"i\", {\n      className: \"fal fa-magic \"\n    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"span\", {\n      className: \"nav-link-text\"\n    }, \"\\u5DE5\\u4F5C\\u53F0\")), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"ul\", null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"li\", {\n      className: \"active\"\n    }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"li\", null)))))), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(\"div\", {\n      id: \"content\"\n    })));\n  }\n\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (WorkBench);\n\n//# sourceURL=webpack:///./src/workbench/workbench.js?");

/***/ })

/******/ });